Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/users/{username} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"entityId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane Lame",
"preferredUsername": "khaby.lame",
"isPrivate": false,
"isVerified": true,
"isLive": false,
"followerCount": 160300000,
"followingCount": 85,
"likeCount": 2600000000,
"mediaCount": 1309,
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame",
"rel": "preferred"
}
],
"published": "2020-03-15T00:00:00.000Z",
"hasLikes": true,
"hasPlaylists": true,
"language": "en",
"likedCount": 5300,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
}
]
}
}Users
Get user profile
Returns profile information for a TikTok user including bio, follower counts, verification status, and profile picture. Look up any public TikTok account by username.
GET
/
v1
/
tiktok
/
users
/
{username}
Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/users/{username} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"entityId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane Lame",
"preferredUsername": "khaby.lame",
"isPrivate": false,
"isVerified": true,
"isLive": false,
"followerCount": 160300000,
"followingCount": 85,
"likeCount": 2600000000,
"mediaCount": 1309,
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame",
"rel": "preferred"
}
],
"published": "2020-03-15T00:00:00.000Z",
"hasLikes": true,
"hasPlaylists": true,
"language": "en",
"likedCount": 5300,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
}
]
}
}Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
TikTok username (with or without @ symbol)
Example:
"khaby.lame"
Response
Returns the user details
Show child attributes
Show child attributes
⌘I